---
layout: handbook-page-toc
title: "CSM Development"
description: "Available development paths and resources for Customer Success Managers at GitLab."
---

## On this page

{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

As a Customer Success Manager, it is essential to understand what resources are available for your personal and professional development.   This page strives to be a place for leadership and CSMs to contribute to resources available for the progression and development of the CSM team.

## Key handbook sections, roadmaps and L&D platforms for enablement:
1. [CSM Planned Enablement Roadmap for Q4 FY23](https://docs.google.com/presentation/d/1HCoPkdjucC7nUaJl5eNzj3VNCWFdQ3nWvUNiMv2tcDU/edit#slide=id.g16fc16e7b48_0_0)
1. [CSM Enablement Corner](https://docs.google.com/document/d/1xyaxc37iCDtfeabo2NXCRV31pNOdvieXoVDxJw_aXoM/edit) (updated Quarterly with Key Dates and CSM required actions)


<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vRfxhniPy9BWx7I4e9VZrZmWlYLAijmVP5whTGYbCOBCVE5aQk9Bh9sZcI3zlN8pCmQmTNRhpFLNxSq/embed?start=false&loop=false&delayms=3000&slide=id.g16fc16e7b48_0_0" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>


1. [Customer Success Education & Enablement (All-CS)](/handbook/customer-success/education-enablement/)
1. [New CSM Sales Quickstart Learning Path](/handbook/sales/onboarding/sales-learning-path/): Delivered through scheduled training sessions and pre/post work, with portions applicable only to the CSM role.
1. [Edcast](https://gitlab.edcast.com/): For certifications, learning paths and more!


## Personal development

### General skills

- GitLab's Learning Experience Platform, [GitLab Learn](https://gitlab.edcast.com/?fromLogin=true). We are building courses to upskill, reskill, and grow team member skills. If you have ideas about a course you'd like to develop, consider checking out the [Learning Evangelist Learning Path](https://gitlab.edcast.com/pathways/learning-evangelist-training).

### Chorus Playlist

- [Chorus Playlist](https://chorus.ai/playlists/741604) gives you access to the recordings of the best CSM calls. The recordings are continuously updated, so keep this playlist bookmarked for best practices. 

### LinkedIn Learning

[Handbook details about LinkedIn Learning](/handbook/people-group/learning-and-development/linkedin-learning/).

Recommended courses:

- [The Six Morning Habits of High Performers](https://www.linkedin.com/learning/the-six-morning-habits-of-high-performers/six-practices-to-get-back-on-track-16454204?u=2255073)
- [Unconscious Bias](https://www.linkedin.com/learning/unconscious-bias/)
- [Devops Foundations](https://www.linkedin.com/learning/devops-foundations/)
- [How to Make Strategic Thinking a Habit](https://www.linkedin.com/learning/how-to-make-strategic-thinking-a-habit/why-make-strategic-thinking-a-habit?u=2255073)
- [Psychological Safety: Clear Blocks to Innovation, Collaboration, and Risk-Taking](https://www.linkedin.com/learning/psychological-safety-clear-blocks-to-innovation-collaboration-and-risk-taking/psychological-safety-clear-blocks-to-problem-solving-and-innovation?u=2255073)
- [Improving Your Listening Skills](https://www.linkedin.com/learning/improving-your-listening-skills/welcome?u=2255073)

We also have a list of [Recommended Learning Paths](/handbook/people-group/learning-and-development/linkedin-learning/#recommended-learning-paths).

### How PS Technical Instructors Teach Technical Concepts

These are videos of actual 8-hour courses given live to customers by GitLab's Education Services department. These are good examples of how to present technical concepts in a structured format.

> The Education Services team is working on shorter, edited versions of these class videos. They'll replace these links with the edited versions when they're available. For now just fast-forward through labs and breaks in these unedited class recordings.

Access codes and recording links can be found in this [internal doc](https://docs.google.com/document/d/1WNwz_2TbavLgEVG86eENu4Mf_StjYt77h-d-364l3bM/edit?usp=sharing). 

- GitLab with Git Basics - presented by Chris Cowell
  - Part 1 
  - Part 2
- CI/CD - presented by Nick Lotz
  - Part 1
  - Part 2
- Security Essentials - presented by Chris Cowell
  - Part 1
  - Part 2
- GitLab for Project Managers - presented by Nick Lotz and Chris Cowell
  - Part 1 and Part 2 
  
### Soft skills
- [Developing your Emotional Intelligence](https://www.linkedin.com/learning/developing-your-emotional-intelligence/benefits-of-building-emotional-intelligence)
- [Leading with Emotional Intellignece](https://www.linkedin.com/learning/leading-with-emotional-intelligence-3/lead-with-emotional-intelligence)

#### Public Speaking
- [Communicating with Confidence](https://www.linkedin.com/learning-login/share?account=2255073&forceAccount=false&redirect=https%3A%2F%2Fwww.linkedin.com%2Flearning%2Fcommunicating-with-confidence%3Ftrk%3Dshare_ent_url%26shareId%3Db7EUHzikS6iSUIMO0n%252Fq9A%253D%253D) (LinkedIn Learning)
- [Institute of Public Speaking Virtual One-Day Class](https://www.instituteofpublicspeaking.com/event-registration/)
- [Dynamic Public Speaking by University of Washington](https://www.coursera.org/specializations/public-speaking)
- [Storytelling and influencing: Communicate with impact](https://www.coursera.org/learn/communicate-with-impact)

#### Executive Communication
As CSMs have positioned themselves to be more strategic and reach Director, VP, and CISO personas, we have to adjust our communication styles and consider how to cater them for executives. These resources will aid CSMs with executive presence and communication. 

[Issue](https://gitlab.com/gitlab-com/customer-success/csm/-/issues/712)

* Masterclass - [The Art of Persuasion: Daniel Pink teaches sales](https://www.google.com/aclk?sa=l&ai=DChcSEwiy-uC73ID7AhXrFdQBHUy_CnoYABAAGgJvYQ&sig=AOD64_0qcqVfaFgCQyMi-xSOIiJbxW61yw&q&adurl&ved=2ahUKEwi179W73ID7AhXmgmoFHcUgCgIQ0Qx6BAgHEAE) and [Chris Voss - Win Workplace Negotiations](https://www.masterclass.com/sessions/classes/win-workplace-negotiations?campaignid=15627870842&adgroupid=139859366148&adid=570516991108&utm_term=chris%20voss%20masterclass&utm_campaign=%5BCV2%5C+%7C+Search+%7C+Brand+%7C+Instructor_PM+%7C+USA+%7C+EN+%7C+MAX+%7C+EG%7CPP+%7C+INSS+-+CV2+%7C+US&utm_source=google&utm_medium=cpc&utm_content=570516991108&hsa_acc=9801000675&hsa_cam=15627870842&hsa_grp=139859366148&hsa_ad=570516991108&hsa_src=g&hsa_tgt=kwd-1465336023099&hsa_kw=chris%20voss%20masterclass&hsa_mt=p&hsa_net=adwords&hsa_ver=3&gclid=CjwKCAiAwc-dBhA7EiwAxPRylAtqiaBRdja8jxGJrQAU4D-yX2tiOmM4OMaklUMR6GyFcDw6cVfz6hoCF4kQAvD_BwE)
* Twitter thread - [How Mckinsey presents to executives](https://twitter.com/supermode_/status/1584210331487739904)
* Google Doc (Actively being updated) - Lee Faus, Brian Wald, and Francis Ofungwu share themes (four pillars) they are hearing from executives around GitLab's platform - https://docs.google.com/document/d/1lkk_25XwOOw9eN-NqxuupZsDWRdWPbmFYD8RP8cWXz8/edit
* Sandler Articles
     - [How to Use DISC Assessments to Appropriately Customize Workplace Communication](https://www.sandler.com/blog/how-use-disc-assessments-appropriately-customize-workplace-communication/)
     - [Up Front Contracts](https://www.dwood.sandler.com/blog/Up-Front-Contracts)
* Pyramid Principle for Slide Presentation
     - https://www.myconsultingoffer.org/case-study-interview-prep/pyramid-principle/
* [Tim Ferris - how I prepare for keynotes](https://tim.blog/2010/04/11/public-speaking-how-i-prepare-every-time/)
* Dan Pink [Drive](https://www.amazon.com/Drive-Surprising-Truth-About-Motivates/dp/1594484805) and [To Sell is Human](https://www.amazon.com/Sell-Human-Surprising-Moving-Others/dp/1594631905)
* ["What Got You Here Won't Get You There"](https://www.amazon.com/What-Got-Here-Wont-There/dp/B000MGBNGW/ref=sr_1_1?keywords=what+got+you+here+won%27t+get+you+there&qid=1672771567&s=books&sprefix=what+go+you+here+%2Cstripbooks%2C148&sr=1-1)
* ["Hard Things About Hard Things"](https://www.amazon.com/Hard-Thing-About-Hard-Things-audiobook/dp/B00I0A6HUO/ref=sr_1_1?keywords=hard+things+about+hard+things&qid=1672771605&s=audible&sprefix=hard+thin%2Caudible%2C138&sr=1-1) entertaining story about grit, constantly reassessing your skills against your current job (that changes)
* [SCIPAB messaging by Mandell](https://www.mandel.com/scipab-messaging-tool) 


### Technical

- Self Certifications are available for the professional services courses on LevelUp:
  * [CI/CD Professional Pathway](https://levelup.gitlab.com/learn/course/gitlab-certified-devops-professional-bundle/)
  - This includes the Pathways:
    * [GitLab Certified Git Associate](https://levelup.gitlab.com/learn/course/gitlab-certified-git-associate/)
    * [GitLab Certified Project Management Associate](https://levelup.gitlab.com/learn/course/gitlab-certified-project-management-specialist-bundle/)
    * [GitLab Certified CI/CD Associate](https://levelup.gitlab.com/learn/course/gitlab-ci-cd-specialist-self-paced-bundle/)
    * [GitLab Certified Security Specialist](https://levelup.gitlab.com/courses/gitlab-certified-security-specialist)
- [GitLab Technical Training delivered by Professional Services](/handbook/customer-success/professional-services-engineering/gitlab-technical-certifications/)
- MIT's online program: [Cloud & DevOps: Continuous Transformation](https://professionalprograms.mit.edu/es/programa-online-cloud-devops-transformacion-continua/) covers strategical implementation of the DevOps and Cloud tools
- [Cloud Infrastructure Technical Skills](/handbook/customer-success/education-enablement/#cloud-infrastructure) 

### Leadership

- We are currently revamping our mentorship program and [manager lean coffees](https://gitlab.com/gitlab-com/people-group/learning-development/general/-/issues/123) as a first step
- We are currently revamping our leadership development program. You can learn more on the [Elevate handbook page](/handbook/people-group/learning-and-development/elevate/)
- We have two team members in L&D who are certified in [Crucial Conversations](/handbook/leadership/crucial-conversations/). We have 1-2 sessions per quarter 
- [CEO Shadow Program](/handbook/ceo/shadow/)
- [Sounding Board](https://www.soundingboardinc.com/request-demo/): External resource with online coaching
- [New Manager Foundations](https://www.linkedin.com/learning/new-manager-foundations-2/)
- [Being a good mentor](https://www.linkedin.com/learning/being-a-good-mentor/)

## Career development

### Within the CSM job family
- The [CSM Job Family page](https://about.gitlab.com/job-families/sales/customer-success-management/) is kept updated with the roles and responsibilities of each level within the CSM job family
- The [CSM Skills Matrix](https://docs.google.com/spreadsheets/d/1_UEke64Qkz8wSyqfr_E9qqeAF6rX77w4vIH84Ckm_ts/edit#gid=0) enables a CSM to determine areas of opportunity in working towards their next level of seniority


### Within the CS org
- [The SA Job Family page](https://about.gitlab.com/job-families/sales/solutions-architect/) is kept update with the roles, responsibilities and technical expectations of an SA. For CSMs interested in moving into SA roles, they can work with their managers on learning paths to develop the technical and sales skills where needed.

### Within GitLab, outside of CS
- While there is no 'formula' for moving into roles in other teams, we welcome CSM growth and desire to explore alternative areas with GitLab.  For CSMs looking to move into different groups outside of CS, the first step is to review the job family requirements and connect with their manager on determining a path. It is encouraged for managers to connect with the group's team leaders in question to build out a development plan that will have the best chances of success. 
